#pragma once

#include "types.h"

#define PAGE_SIZE 4096



/* Address arithmetic. */

offset_t page(unsigned int n);

unsigned int page_order(offset_t size);

offset_t round(offset_t value, offset_t increment);

offset_t round_multiple(offset_t value, offset_t increment);

offset_t trunc(offset_t value, offset_t increment);

offset_t trunc_multiple(offset_t value, offset_t increment);

offset_t max_multiple(offset_t start, offset_t end, offset_t increment);

// vim: tabstop=4 expandtab shiftwidth=4
